Page MenuHomePhabricator

Refactor Scoring.php
Closed, ResolvedPublic

Description

This class is not very clean.

Details

Related Gerrit Patches:
mediawiki/extensions/ORES : masterMove mock ORESService into a new helper class
mediawiki/extensions/ORES : masterTests for ScoreFetcher
mediawiki/extensions/ORES : masterTurn ORESService to a service and turn originalRequest to attribute
mediawiki/extensions/ORES : masterRename and cleanup Scoring.php

Event Timeline

Ladsgroup created this task.Jan 4 2018, 1:21 AM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 4 2018, 1:21 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 401824 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Rename and cleanup Scoring.php

https://gerrit.wikimedia.org/r/401824

Change 401824 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Rename and cleanup Scoring.php

https://gerrit.wikimedia.org/r/401824

Needs more cleanup and integration tests. I hate originalRequest there, need to get rid of that.

Change 403384 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Turn ORESService to a service and turn originalRequest to attribute

https://gerrit.wikimedia.org/r/403384

Change 403384 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Turn ORESService to a service and turn originalRequest to attribute

https://gerrit.wikimedia.org/r/403384

Change 404290 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Tests for ScoreFetcher

https://gerrit.wikimedia.org/r/404290

This patch is the last bit.

Change 404290 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Tests for ScoreFetcher

https://gerrit.wikimedia.org/r/404290

Change 404473 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] Move mock ORESService into a new helper class

https://gerrit.wikimedia.org/r/404473

Change 404473 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Move mock ORESService into a new helper class

https://gerrit.wikimedia.org/r/404473

Ladsgroup moved this task from In progress to Done on the User-Ladsgroup board.Jan 20 2018, 5:35 PM
Halfak closed this task as Resolved.Jan 30 2018, 8:31 PM